Class | Bio::NCBI
In: | lib/bio/io/ncbirest.rb lib/bio/io/ncbisoap.rb
Parent: | Object

### Methods

default_email default_email= default_tool default_tool= reset_entrez_default_parameters

### Classes and Modules

Class Bio::NCBI::REST
Class Bio::NCBI::SOAP

### Constants

ENTREZ_DEFAULT_PARAMETERS | = | { 'tool' => "#{$0} (bioruby/#{Bio::BIORUBY_VERSION_ID})", 'email' => nil, } |  | (Hash) Default parameters for Entrez (eUtils). They may also be used for other NCBI services.

### Public Class methods

default_email()

Gets default email address for Entrez (eUtils).

Returns: | String or nil

[Source]

        # File lib/bio/io/ncbirest.rb, line 42
    42:   def self.default_email
    43:     ENTREZ_DEFAULT_PARAMETERS['email']
    44:   end

default_email=(str)

Sets default email address used for Entrez (eUtils). It may also be used for other NCBI services.

Arguments:

- (required) str: (String) email address

Returns: | same as given argument

[Source]

        # File lib/bio/io/ncbirest.rb, line 52
    52:   def self.default_email=(str)
    53:     ENTREZ_DEFAULT_PARAMETERS['email'] = str
    54:   end

default_tool()

Gets default tool name for Entrez (eUtils).

Returns: | String or nil

[Source]

        # File lib/bio/io/ncbirest.rb, line 59
    59:   def self.default_tool
    60:     ENTREZ_DEFAULT_PARAMETERS['tool']
    61:   end

default_tool=(str)

Sets default tool name for Entrez (eUtils). It may also be used for other NCBI services.

Arguments:

- (required) str: (String) tool name

Returns: | same as given argument

[Source]

        # File lib/bio/io/ncbirest.rb, line 69
    69:   def self.default_tool=(str)
    70:     ENTREZ_DEFAULT_PARAMETERS['tool'] = str
    71:   end

reset_entrez_default_parameters()

Resets Entrez (eUtils) default parameters.

Returns: | (Hash) default parameters

[Source]

        # File lib/bio/io/ncbirest.rb, line 30
    30:   def self.reset_entrez_default_parameters
    31:     h = {
    32:       'tool' => "#{$0} (bioruby/#{Bio::BIORUBY_VERSION_ID})",
    33:       'email' => nil,
    34:     }
    35:     ENTREZ_DEFAULT_PARAMETERS.clear
    36:     ENTREZ_DEFAULT_PARAMETERS.update(h)
    37:   end

[Validate]